You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-06-07 11:19:25

shenpins
Member
Registered: 2019-06-07
Posts: 3

Erreur migration BDD 0.83.7 to 9.4.2 [RESOLU]

Bonjour à tous,

Etant nouveau dans la communauté, je ne maitrise pas l'environnement linux et GLPI.
Veuillez donc bien m'excuser sur les termes que je pourrais employer et qui ne seraient pas juste.

Je souhaiterez mettre à jour notre plateforme GLPI vers la dernière version.
Notre GLPI étant trop vieillissant, j'ai opté pour la création d'un nouveau serveur Débian, l'installation de la dernière version de GLPI puis la migration de la BDD.

La création du serveur Débian 9.9.0 s'est déroulée correctement.
L'installation des derniers paquets LAMP aussi.
La création de la BDD également.
L'installation de GLPI a aboutie.

Mon probleme est rencontré lorsque je tente d'importer l'ancienne BDD.
L'importation est réalisée depuis l'interface Web de GLPI --> maintenance.
La progression atteint les 100 %, lorsque je rafraîchi la page, je suis redirigé vers l'assistant d'installation de GLPI, sur la page de test qui ont tous aboutis.
En bas de cette pagen j'ai un message :

"Votre version de la base de données n'est pas compatible avec la version des fichiers installés. Une mise à jour est nécessaire."

Je clique alors sur le bouton "Mettre à jour"

Ci-dessous le message d'erreur :

"
Mise à jour
Connexion à la base de données réussie
La version de la base de données semble correcte (10.1.38) - Parfait !La version de la base de données semble correcte (10.1.38) - Parfait !

Mise à jour en 0.84
Changement de la structure de la base de données - glpi_profiles (0 seconde)

0.84 multiple alter in glpi_profiles - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_profiles` ADD `internet` CHAR(1) DEFAULT NULL AFTER `networking` - L'erreur est Unknown column 'networking' in 'glpi_profiles'
"

J'ai parcouru le forum et trouvé des éléments sauf que je ne parvient pas à les adapter aux problèmes que je rencontre.

Pourriez-vous m'indiquer si :

- la démarche que je suit est correct ? Si non, quels seraient vos conseils ?
- Si oui, comment corriger le probleme que je rencontre ?

Je vous remercie d'avance et bonne journée à tous

Last edited by shenpins (2019-06-12 09:13:33)

Offline

#2 2019-06-10 10:32:48

shenpins
Member
Registered: 2019-06-07
Posts: 3

Re: Erreur migration BDD 0.83.7 to 9.4.2 [RESOLU]

Bonjour à tous,

J'ai changé de stratégie, je me permet donc de partager avec vous mon expérience, qui peut être servira à quelqu'un.

La version de mon OS ne me permettait plus d'exécuter des apt-get install ou upgrade, la version n'étant plus supportée (débian 3.2.63). Je ne parvenait pas à modifier mon fichier sources afin de réaliser les mises à jour de paquets. C'est pour cette raison que je souhaitais réaliser la migration vers un nouveau serveur Debian 9.9.0

J'ai donc réalisé deux montées de versions sur mon serveur en debian 3.2.63

Ci-dessous le cheminent :

- montée de version 0.83.7 to 0.84
- montée de version 0.84 to 0.90.5

La mise à jour 0.90.5 to 9.1.6 ne fonctionnait pas, des paquets étant indispensable (je ne me souvient plus des noms)

J'ai ensuite travaillé sur mon nouveau serveur Debian 9.9.0, ci-dessous le cheminement :

- installation GLPI 9.1.6
- importation BDD
- montée de version 0.90.5 to 9.1.6

Des erreurs étaient générées, j'ai du supprimer les lignes suivantes du fichier update_091_911.php (/glpi/install) avant de procéder à l'importation de la BDD :
"
  // rectify indexes in 9.1 update
   $migration->addKey('glpi_tickets', 'slts_ttr_id');
   $migration->dropKey('glpi_tickets', 'slalevels_id');
   $migration->addKey('glpi_tickets', 'ttr_slalevels_id');
   $migration->migrationOneTable('glpi_tickets');
"

- montée de version 9.1.6 to 9.2.4
- montée de version 9.2.4 to 9.3.4

GLPI m'a ensuite indiqué que toutes les tables n'ont pas été migré

depuis /var/www/html/glpi/scripts j'ai exécuté le script "php innodb_migration.php"

Voila ou j'en suis.
J'ai bien entendu réalisé plusieurs tests entre chaque montée de version.

---------------------------------------------

Maintenant je rencontre un problème lors de la mise à jour 9.3.4 to 9.4.2, et cette foi-ci ne je parvient pas à le résoudre.

Ci-dessous les messages d'erreurs générés

"
9.4.0 multiple alter in glpi_tickets - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_tickets` CHANGE `olas_tto_id` `olas_id_tto` INT(11) NOT NULL DEFAULT '0' , DROP INDEX `olas_tto_id` , ADD INDEX `olas_id_tto` (`olas_id_tto`) , CHANGE `olas_ttr_id` `olas_id_ttr` INT(11) NOT NULL DEFAULT '0' , DROP INDEX `olas_ttr_id` , ADD INDEX `olas_id_ttr` (`olas_id_ttr`) , CHANGE `ttr_olalevels_id` `olalevels_id_ttr` INT(11) NOT NULL DEFAULT '0' , ADD INDEX `olalevels_id_ttr` (`olalevels_id_ttr`) , ADD INDEX `slas_id_tto` (`slas_id_tto`) , CHANGE `slas_ttr_id` `slas_id_ttr` INT(11) NOT NULL DEFAULT '0' , DROP INDEX `slas_ttr_id` , ADD INDEX `slas_id_ttr` (`slas_id_ttr`) , CHANGE `ttr_slalevels_id` `slalevels_id_ttr` INT(11) NOT NULL DEFAULT '0' , DROP INDEX `ttr_slalevels_id` , ADD INDEX `slalevels_id_ttr` (`slalevels_id_ttr`) - L'erreur est Key column 'slas_id_tto' doesn't exist in table
"

Test du bbcode FluxBB

En espérant que vous disposer de tous les éléments afin de m'aider.

Bonne journée

Offline

#3 2019-06-11 18:52:50

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 14,930

Re: Erreur migration BDD 0.83.7 to 9.4.2 [RESOLU]

Il essayes d'ajouter l'index sur le champ avant de le renommer.
vérifier dans la table glpi_tickets si vous avez un champ slas_id_tto.
Si ce n'est pas le cas, relancer la migration.

Si l'erreur se reproduit (normalement elle ne devrait pas), renommer le champ 'slas_tto_id'      => 'slas_id_tto'
et relancer la migration


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#4 2019-06-12 09:03:07

shenpins
Member
Registered: 2019-06-07
Posts: 3

Re: Erreur migration BDD 0.83.7 to 9.4.2 [RESOLU]

Salut yllen,

je te remercie pour ta réponse.

J'ai constaté que sur la version 9.3.4, j'ai perdu tout les tickets clos.

J'ai donc recommencer depuis le début.

Cette fois-ci lors de la montée de version 0.90.5 to 9.1.6 je n'ai pas supprimé les lignes suivantes du fichier update_091_911.php (/glpi/install) :

"
  // rectify indexes in 9.1 update
   $migration->addKey('glpi_tickets', 'slts_ttr_id');
   $migration->dropKey('glpi_tickets', 'slalevels_id');
   $migration->addKey('glpi_tickets', 'ttr_slalevels_id');
   $migration->migrationOneTable('glpi_tickets');
"

Mais j'ai remplacé plusieurs champs dont "slts_ttr_id" (je ne me souviens plus de la liste), le fichier "sql-errors.log" m'a indiqué quels champs remplacés.

Les montées de version suivante se sont déroulées sans erreur ainsi que la dernière vers la 9.4.2.

Ma migration 083.7 to 9.4.2 c'est donc déroulée correctement.

Je vous remercie pour votre lecture, le sujet peut être clos.

Offline

Board footer

Powered by FluxBB